Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006107opensim[REGION] OpenSim Corepublic2012-07-25 09:412014-07-29 13:41
Reporterorenh 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006107: [PATCH] When copying inventory items, copy the Description field
DescriptionWhen the user copies an item in the inventory, the new item's description should be copied from the source item. Previously the description was copied from the asset instead of from the item.
Steps To ReproduceCopy an item in the inventory, whose description field is different from the description field in the underlying asset. The copied item will contain the description of the asset instead of the description of the source item.
TagsNo tags attached.
Git Revision or version number789312d311879fedb47b2af0037a86a1f3c5c328
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Filespatch file icon 0001-When-copying-inventory-items-copy-the-Description-fi.patch [^] (6,348 bytes) 2012-07-25 09:41 [Show Content]

- Relationships

-  Notes
(0021901)
justincc (administrator)
2012-07-26 15:49

Effectively applied in git master 66824dd. Slightly adapted by me to change order of arguments (I think name before description makes more sense) and to slightly improve some method doc.
(0021902)
justincc (administrator)
2012-07-26 15:49

Thanks Oren!

- Issue History
Date Modified Username Field Change
2012-07-25 09:41 orenh New Issue
2012-07-25 09:41 orenh File Added: 0001-When-copying-inventory-items-copy-the-Description-fi.patch
2012-07-25 09:41 orenh Assigned To => orenh
2012-07-25 09:41 orenh Status new => patch included
2012-07-25 09:41 orenh Assigned To orenh =>
2012-07-26 15:35 justincc Assigned To => justincc
2012-07-26 15:35 justincc Status patch included => assigned
2012-07-26 15:49 justincc Note Added: 0021901
2012-07-26 15:49 justincc Status assigned => resolved
2012-07-26 15:49 justincc Resolution open => fixed
2012-07-26 15:49 justincc Note Added: 0021902
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker